### Method

# Vips Image pio_input

#### Declaration [src]

    int
    vips_image_pio_input (
      VipsImage* image
    )

#### Description [src]

Check that an image is readable with `vips_region_prepare()` and friends. If it isn’t, try to transform the image so that `vips_region_prepare()` can work.

See also

`vips_image_pio_output()`, `vips_region_prepare()`.

#### Return value

Type: `int`

0 on success, or -1 on error.